// ****************** 
// Display driver for 7 segment
// *****************************************

// Init
int pinDisplay[]={11,10,7,8,9,13,12};
const int DisplayZero[]  = {1,1,1,1,1,1,0};
const int DisplayOne[]   = {0,0,1,1,0,0,0};
const int DisplayTwo[]   = {1,1,0,1,1,0,1};
const int DisplayThree[] = {0,1,1,1,1,0,1};
const int DisplayFour[]  = {0,0,1,1,0,1,1};
const int DisplayFive[]  = {0,1,1,0,1,1,1};
const int DisplaySix[]   = {1,1,1,0,1,1,1};
const int DisplaySeven[] = {0,0,1,1,1,0,0};
const int DisplayEight[] = {1,1,1,1,1,1,1};
const int DisplayNine[]  = {0,1,1,1,1,1,1};
const int DisplayError[] = {1,1,0,0,1,1,1};

void setup() {
  int t;
  for (t=0;t<7;t++){
    pinMode(pinDisplay[t],OUTPUT);
  }
  Serial.begin(9600);
}

void loop() {
  int t;
  int Time = 400;
  for (t=0;t<11;t++){
    SetDisplay(t);
    delay(Time); 
  }
}

void SetDisplay(int Value){
  switch(Value){
    case 0:
      LightDisplay(DisplayZero);
      break;
    case 1:
      LightDisplay(DisplayOne);
      break;
    case 2:
      LightDisplay(DisplayTwo);
      break;
    case 3:
      LightDisplay(DisplayThree);
      break;
    case 4:
      LightDisplay(DisplayFour);
      break;
    case 5:
      LightDisplay(DisplayFive);
      break;
    case 6:
      LightDisplay(DisplaySix);
      break;
    case 7:
      LightDisplay(DisplaySeven);
      break;
    case 8:
      LightDisplay(DisplayEight);
      break;
    case 9:
      LightDisplay(DisplayNine);
      break;
    default:
      LightDisplay(DisplayError);
      break;
  }
}

void LightDisplay(const int Display[]){
  int t;
  for (t=0;t<7;t++){
    digitalWrite(pinDisplay[t],Display[t]);
  }
}

